ppd_get_page_length(3)

NAME
ppd_get_page_length, ppd_get_page_size, ppd_get_page_width - set of functions for retrieving the page dimension from a PPD file.

SYNOPSIS
#include <ppd.h>

float ppd_get_page_length(PpdFile *ppd, const char *name);

PpdSize *ppd_get_page_size(PpdFile *ppd, const char *name);

float ppd_get_page_width(PpdFile *ppd, const char *name);

DESCRIPTION
These function provide the programmer with a means of querying the dimensions of a given page layout within a PPD file. All three function accept two parameters as input. The first is a pointer to a valid PpdFile structure (see ppd_file_new(3)), and the second if the name of the page layout to be queried.

RETURN VALUE

ppd_get_page_length()
    Returns the page length for a given layout

ppd_get_page_size()
    Returns a pointer to the page size record for the given size

ppd_get_page_width()
    Returns the page width for a given layout

SEE ALSO
ppd_file_new(3), ppd_emit_to_file(3), ppd_file_free(3), ppd_find_choice(3), ppd_check_option_is_marked(3), ppd_get_num_conflicts(3)

AUTHOR
This man page was written by Gerald Carter <gcarter@valinux.com>. It was updated by Mark Fasheh <mfasheh@valinux.com> to reflect changes in libppd 0.5. Some of the code was originally part of the Common UNIX Printing System (CUPS).